VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Label1"
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    AutoRedraw = True
    ForeColor = vbRed
    Line (0, ScaleHeight / 2)-Step(ScaleWidth, 0)
    Line (ScaleWidth / 2, 0)-Step(0, ScaleHeight)
    ForeColor = vbBlack
    Picture = Image
End Sub


'****************************************************************************
'                                                                           *
'                  Atan2(): Four-Quadrant Arc-Tangent                       *
'                                                                           *
'****************************************************************************
'Given the cordinates, {x, y}, of a point, this function returns the angle,
'in radians, between the positive x-axis and a line from the origin to the
'point. The point can be anywhere in the plane. Atan2(0,0) is undefined, but
'returns 0. The arguments are called by value so there is no chance of the
'function corrupting them.
'
'Invocation and Domain of the result:
'
'                           -pi < Atan2(y,x) <= +pi
'
'The function is invoked exactly as is the atan2() function supplied with the
'C and C++ runtime libraries.
'
'For questions, contact Charlie Rose at ros5e@ISAaC.com
Public Function Atan2(ByVal Y As Double, ByVal X As Double) As Double
  Dim theta As Double
  
  If (Abs(X) < 0.0000001) Then
    If (Abs(Y) < 0.0000001) Then
      theta = 0#
    ElseIf (Y > 0#) Then
      theta = 1.5707963267949
    Else
      theta = -1.5707963267949
    End If
  Else
    theta = Atn(Y / X)
  
    If (X < 0) Then
      If (Y >= 0#) Then
        theta = 3.14159265358979 + theta
      Else
        theta = theta - 3.14159265358979
      End If
    End If
  End If
    
  Atan2 = theta
End Function

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Const PI = 3.14159265
Dim radians As Single
Dim degrees As Single

    Cls
    Line (ScaleWidth / 2, ScaleHeight / 2)-(X, Y)

    ' Reverse the Y distance's sign to get a clockwise
    ' measurement.
    radians = Atan2(-(Y - ScaleHeight / 2), X - ScaleWidth / 2)
    degrees = radians / PI * 180

    Label1.Caption = Format$(radians, "0.00") & ", " & _
        Format$(degrees, "0.00")

End Sub


